Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418599 - Hawaii Desktop on Fedora 25 server has neither mouse nor keyboard
Summary: Hawaii Desktop on Fedora 25 server has neither mouse nor keyboard
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: hawaii-workspace
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pier Luigi Fiorini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 10:04 UTC by Christophe de Dinechin
Modified: 2017-12-12 10:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:32:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Christophe de Dinechin 2017-02-02 10:04:00 UTC
Description of problem:

Installing Fedora 25 Server and then doing 

results in a system that boots to a login screen where the mouse does not seem to react, and the keyboard does not allow you to type either.

After installing another desktop environment (I tried KDE Plasma), the problem goes away, and Hawaii Desktop becomes usable.


Version-Release number of selected component (if applicable):


How reproducible:

# Install Fedora 25 Server
# dnf group install "Hawaii Desktop"
# systemctl set-default graphical.target
# reboot

Actual results:

No mouse cursor, blinking text cursor that does not react to text entry

Expected results:

Mouse cursor should react to the mouse. The login form should accept keyboard input.

Additional info:

Reproduced on two different machines, a Mac Mini Server and a 8-way custom-built server.

Comment 1 Fedora End Of Life 2017-11-16 19:06:25 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:32:55 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.